REST API methods
Base URL
MEV Blocker's base URL is https://rpc.mevblocker.io.
Methods
GET /tx/{hash}
Get transaction status and auction details.
- Request
- Example response
https://rpc.mevblocker.io/tx/Your_Tx_Hash
{
"status": "UNKNOWN",
"hash": "0xb4b11a74ca505a8225226f1cc6e1662ce83298a7b4364e5ca5bad1049cc05d2b",
"rpc_timestamp": null,
"transaction":
{
"from": "",
"to": "",
"gas": "",
"nonce": "",
"value": ""
},
"fastMode": true,
"shared": false,
"simulationError": null,
"backruns": 0,
"referrer": null,
"refundRecipient": null,
"refund": 0.0
}
Response fields
status: Transaction status (INCLUDED/FAILED/UNKNOWN)hash: Transaction hashrpc_timestamp: Timestamp when transaction was receivedtransaction: Transaction details (from, to, gas, nonce, value)fastMode: Whether transaction used fast endpointshared: Whether transaction was shared with searcherssimulationError: Simulation error if anybackruns: Number of backrun bids receivedreferrer: Referrer tag if setrefundRecipient: Rebate beneficiary addressrefund: Amount of ETH rebated via backrun
Next steps
Consider following these next steps:
- See MEV Blocker endpoints for available endpoint URLs.
- See JSON-RPC API methods for RPC methods.
- Learn how to track your transaction.